Problème MinecraftForge-src depuis la 1.6

Résolu/Fermé
galaxyoyo
Messages postés
13
Date d'inscription
mardi 9 juillet 2013
Statut
Membre
Dernière intervention
3 août 2016
- 9 juil. 2013 à 18:43
galaxyoyo
Messages postés
13
Date d'inscription
mardi 9 juillet 2013
Statut
Membre
Dernière intervention
3 août 2016
- 30 août 2013 à 18:24
Bonjour,

Voilà mon problème :
Je suis un moddeur et, bien entendu, je créée des mods pour Minecraft, avec Minecraft Forge. Avant, jusqu'à la version 1.5.2 de Minecraft, tout allais bien, j'ouvrais le 'install.cmd' et il me décompilait tout les fichiers. Mais maintenant, voilà ce qu'il me met :

================ Forge ModLoader Setup Start ===============
Checking MCP zip (may take time to download)
Extracting MCP to 'F:\Minecraft\Mods créés\forge\mcp'
Setting up MCP
Patching commands.py
Patching File commands.py
          Commands patch applied succefully
Coyping FML conf
Creating Repackaged data
          Creating re-packaged srg
          Creating re-packaged exc
          Creating re-packaged MCP patches
Fixing MCP Workspace



///Jusque là, tout va bien


Traceback (most recent call last):
     File "install.py", line 76 in <module>
        decompile = options.decompile, gen_conf=False)
     File "install.py", line 17 in fml_main
        disable_assets=disable_assets)
     File "F:\Minecraft\Mods créés\fml\install.py", line 1013 in decompile_minecraft
        pre_decompile(mcp_dir, fml_dir, disable_assets=disable_assets)
     File "F:\Minecraft\Mods créés\fml\install.py", line 1021 in pre_decompile
        download_minecraft(mcp_dir, fml_dir)
     File "F:\Minecraft\Mods créés\fml\install.py", line 1125 in download_minecraft
        failed = download_libraries(mcp_dir, version_json['libraries'], mc_info['natives_dir']) or failed
     File "F:\Minecraft\Mods créés\fml\install.py", line 1180 in download_libraries
        file_path = os.path.join(lib_dir, os.sep.join(path), file_name)
     File "ntpath.syc", line 108, in join
UnicodeDecodeError: 'ascii' codec decode byte 0xe9 in position 20: ordinal not in range(128)
Appuyez sur une touche pour continuer...



Je pense que le problème vient du ntpath.syc. Mais, je ne sais pas du tout où il se trouve ! Pouvez-vous m'aider, s'il vous plaît ? J'aimerais continuer à modder jusqu'à ma mort ! 5je ne plaisante pas)

PS : je suis sous Windows XP, mais même avec mon autre ordinateur Windows 7, cela ne fonctionne pas.

5 réponses

galaxyoyo
Messages postés
13
Date d'inscription
mardi 9 juillet 2013
Statut
Membre
Dernière intervention
3 août 2016
3
9 juil. 2013 à 18:45
Excusez-moi, c'est ntpath.pyc
0
galaxyoyo
Messages postés
13
Date d'inscription
mardi 9 juillet 2013
Statut
Membre
Dernière intervention
3 août 2016
3
9 juil. 2013 à 18:51
Ah en fait je viens de le trouver mais je ne trouve pas l'encodage ASCII
0
galaxyoyo
Messages postés
13
Date d'inscription
mardi 9 juillet 2013
Statut
Membre
Dernière intervention
3 août 2016
3
9 juil. 2013 à 20:57
up
0
galaxyoyo
Messages postés
13
Date d'inscription
mardi 9 juillet 2013
Statut
Membre
Dernière intervention
3 août 2016
3
30 juil. 2013 à 18:24
C'est bon, le problème est résolu depuis la 1.6.2-9.10.804.
0

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
galaxyoyo
Messages postés
13
Date d'inscription
mardi 9 juillet 2013
Statut
Membre
Dernière intervention
3 août 2016
3
Modifié par galaxyoyo le 30/08/2013 à 19:12
En fait, le problème était des accents.
0